package omq.test.multiProcess;

import omq.Remote;
import omq.client.annotation.AsyncMethod;
import omq.client.annotation.MultiMethod;
import omq.client.annotation.RemoteInterface;
import omq.client.annotation.SyncMethod;

@RemoteInterface
public interface Number extends Remote {
	@SyncMethod(timeout = 1000)
	public void setNumber(int x);

	@SyncMethod(timeout = 1000)
	public int getNumer();

	@MultiMethod
	@AsyncMethod
	public void setMultiNumber(int x);
}
